
/************************************************************************/
/*									*/
/*			CSys Labs Incorporated				*/	
/*			    Eugene Engelgau  				*/
/*									*/
/************************************************************************/

/* Example 1 establishes contact with the TV Module, writes 
"Welome to Touch Vision" message in the middle.  It then draws a border 
around the message and quits. */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <csysdefs.h>
#include <tvio.h>

char * Message = "Welcome to Touch Vision";

#define SIZEX 8		/* Font SizeX */

void main()
{
    if(StartUp())		/* Establich contact with TVM */
    {
	exit(0);		/* No contact so exit */
    }
    SetEL(1);
    SetAutoRefresh(3);		/* Refresh automatically after every command */
    CursorAttribute(0);		/* Turn cursor off */
    DrawBox(115 - ((strlen(Message) * SIZEX)/2),23,	/* Draw box */
		125 + ((strlen(Message) * SIZEX)/2),41,4);
    SetXY(120 - ((strlen(Message) * SIZEX)/2),28);/* Position cursor */
    InputString(Message);	/* Send message to screen */
    exit(0);
}
